#!/bin/sh
# Copyright 2017 Gigaset Communications GmbH

source maxwell-log-functions.sh

supervisor_timeout=10

case "$1" in
	start)
		/usr/sbin/system-statistics synchronize
		/usr/sbin/system-statistics startup
		/usr/sbin/system-statistics working-counter
		;;
	stop)
		/usr/sbin/system-statistics reboot
		;;
	*)
		log_info "Usage is: $0 {start|stop}" >&2
		exit 1
		;;
esac

exit 0
