<?php

define('NVMHOST', 'tcp://localhost:5704');
define('NVMHOSTMESSAGE', 'tcp://localhost:5702');
define('IPCHOST', 'localhost');
define('WEBDIR', '/www');
define('TEXTPATH', './languages/Text_');
define('LASTACCESSDELAY', 130);
define('LAST_ACCESS_USER_DELAY',6);
define('MAXFILENAMELENGTH', 50);
define('MAXIMGFILENAMELENGTH', 10);
define('NTPSYNCPATH', '/var/volatile/ntpsync');
define('FRONTENDPATH', '/www/pages');
define('BACKENDPATH', '/www/pages');
define('WATCHDOGSTATSFILE', '/var/volatile/wd_stats.json');
//USER ROLES
define('USER_NO_SESSION', 0);
define('USER_REGULAR', 1);
define('USER_ADMIN', 2);
//MQTT synchronisation
define('MQTT_MUTEX', '/var/volatile/webui-lock');
//property access flags
define('ACCESS_READONLY', 1);//READONLY = (1<<0), Indicates that record value can't be changed.
define('ACCESS_USER', 8);//equal to flag TO_BACKUP = (1 << 3), ///< Indicates that record shoud be dump during backup procedure.
//property service methods
define('METHOD_GET_VALUE', 'getVRequest');
define('METHOD_SET_VALUE', 'setVRequest');
define('METHOD_GET_VALUES_LIST', 'getColsLRequest');
define('METHOD_SET_VALUES_LIST', 'setVListRequest');
define('METHOD_BACKUP', 'makeBackupRequest');
define('METHOD_RESTORE', 'restoreRequest');
define('METHOD_GET_ALL', 'getWebUiDumpRequest');
define('METHOD_GET_PROVISIONNING_DUMP', 'getProvDumpRequest');
define('METHOD_GET_SYSTEM_DUMP', 'makeSysdumpRequest');
//SAVE & RESTORE
define('CUSTOMDIR', '/data');
define('RESTOREZIPARCH', '/www/userbackup.cfg');
define('SYSDUMPZIPARCH', '/www/sysdump');
define('IMAGEUSERPATH', '/data/images');
define('RINGTONESPATH', '/data/audio');
define('INTERNALPATH', '/data/internal');
define('CONTACTSPATH', '');
define('DEFAULTRINGTONESPATH', '/usr/share/audio/ringtones');
define('DEFAULTRINGTONE', '/usr/share/audio/ringtones/gigaset.wav');
define('NVMBACKUPFILEPATH', '/config');
define('NVMSYSDUMPFILEPATH', '/config');
define('NVMBACKUPFILE', 'user_backup.csv');
define('NVMSYSDUMPFILE', 'sysdump.csv');
define('WEBPASSFILE', 'webset.txt');
define('ZIPPASSWORD', 'B5JV4bZJeaExUr3y');
define('ZIPPASSWORDSYSDUMP', '7eP2f2hbXSgsjA5P');
define('TMPDIR', '/www/tmpdir');
define('IMAGEDIRECTORY', 'images');
define('RINGTONESDIRECTORY', 'audio');
define('INTERNALDIRECTORY', 'internal');
define('RESTOREDIRECTORY', '/www/www/tmpdir');
define('COREDUMPSZIPFILE', '/tmp/CoreDumps.zip');
define('SYSLOGFILE', '/var/log/maxwell.log');
define('CRASHDIR', '/var/crash');
define('TRANSFER_TO_USB', 0);
define('TRANSFER_FROM_USB', 1);
//FIRMWAREUPDATE
define('FIRMWAREUPDATEFILENAME', 'GC_MAX_3_');
define('FIRMWAREUPDATEXMLFILENAME', 'update.xml');
define('FIRMWAREUPDATEEXTENSION', '.bin');
define('EXCEPTIONARRAY', serialize(array('SelectedCodecs'))); //For this field php must return Array;
define('EXCEPTIONARRAYOPTIONS', serialize(array('AvailableCodecs'))); //For this field php must return Array;
define('SOURCEFILE', '/home/root/test_file.dat');
define('DESTINATIONFILE', '/mnt/myusb/test_file.dat');
//RINGTONES
define('MAXALLOCATEDSIZE', 5242880);
define('MAXFILESCOUNT', 20);
define('AUDIOMIMETYPE', serialize(array('mp3', 'wav', 'ogg')));
//PCAPLOGIN
define('PCAPPATH', '/var/volatile/pcap/pcap.log');
define('SIPLOGPATH', '/var/volatile/pcap/sip.pcap');
define('SYSLOGPATH', '/var/log/maxwell.log');
//CERTIFICATES
define('PENDINGCERTIFICATESDIR', '/data/certs/pending');
define('ACCEPTEDCERTIFICATESDIR', '/data/certs/accepted');
define('REJECTEDCERTIFICATESDIR', '/data/certs/rejected');
define('INVALIDCERTIFICATESDIR', '/data/certs/invalid');
define('CERTIFICATESDIR', '/data/certs/_storage');
define('CERTIFICATEMIMETYPE', serialize(array('cer', 'crt', 'crl', 'pem', 'der')));
//UPLOAD XML
define('UPLOADXML', '/www');
define('XMLMIMETYPE', serialize(array('xml')));
//IMAGES
define('IMAGESMIMETYPE', serialize(array('jpeg','jpg')));
define('WEBUIIMGPATH', '/www/pages/img/pictures');
define('MAXIMGSIZE', 256000);
//RESULT CODE
define('ERRFILESIZE', '#filesize#');
define('ERRFILETYPE', '#mimetype#');
define('FILEERR', '#fileerr#');
define('FILEOK', '#fileok#');
define('FILECOUNT', '#filecount#');
//SYSLOG
define('PRIORITY', serialize(array(1 => LOG_ERR, 2 => LOG_WARNING, 4 => LOG_ALERT, 8 => LOG_NOTICE, 256 => LOG_ERR, 512 => LOG_WARNING, 1024 => LOG_NOTICE, 2048 => LOG_ALERT, 4096 => LOG_CRIT)));
//SIP SECURITY
define('SIPSECURITYCERTIFICATEDIR', '/data/sipsecurity');
define('SIPSECURITYCERTIFICATENAME', 'sip_certificate.pem');
define('SIPSECURITYPRIVATEKEYNAME', 'sip_private_key.txt');
define('SIPSECURITYCERTIFICATEMIMETYPE', serialize(array('pem')));
//return codes
define('STATUS_OK', 0);
define('STATUS_ERROR', 1);
define('STATUS_FORBIDDEN', 2);
